%define	version 1.28
%define release %mkrel 1

%define major 0
%define libname %mklibname gpg-error %{major}
%define develname %mklibname gpg-error -d

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnupg.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.xz

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package	-n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}

%description	-n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n %{develname}
Summary:	Development related files of %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname gpg-error 0 -d
Provides:	%mklibname gpg-error 0 -d

%description -n %{develname}
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop 
or compile applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/gpg-error-config

%find_lang %{name}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB
%{_libdir}/lib*.so.*
%{_datadir}/libgpg-error/errorref.txt

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{multiarch_bindir}/gpg-error-config
%{_datadir}/aclocal/*.m4
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/common-lisp/source/gpg-error
%{_datadir}/info/gpgrt.info.bz2
%{_datadir}/man/man1/gpg-error-config.1.bz2


%changelog
* Mon Mar 26 2018 ghostbunny <ghostbunny at gmx dot de> 1.28-1pclos2018
- 1.28

* Sun Apr 16 2017 ghostbunny <ghostbunny at gmx dot de> 1.27-1pclos2017
- 1.27

* Thu Dec 29 2016 ghostbunny <ghostbunny at gmx dot de> 1.26-1pclos2017
- 1.26

* Fri Aug 19 2016 ghostbunny <ghostbunny at gmx dot de> 1.24-1pclos2016
- 1.24

* Wed May 04 2016 ghostbunny <ghostbunny at gmx dot de> 1.22-1pclos2016
- 1.22

* Sat Mar 05 2016 ghostbunny <ghostbunny at gmx dot de> 1.21-1pclos2016
- 1.21

* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.20-1pclos2015
- 1.20
- remove unused patch

* Tue Apr 28 2015 ghostbunny <ghostbunny at gmx dot de> 1.19-1pclos2015
- 1.19

* Sun Mar 22 2015 ghostbunny <ghostbunny at gmx dot de> 1.18-1pclos2015
- 1.18

* Sat Nov 08 2014 bb <bb> 1.17-1pclos2014
- update

* Sun Oct 12 2014 ghostbunny <ghostbunny at gmx dot de> 1.16-1pclos2014
- 1.16

* Sat Jun 14 2014 ghostbunny <ghostbunny at gmx dot de> 1.13-1pclos2014
- 1.13

